#include <iostream>

using namespace std;

int main()
{
    int N,L;
    cin>>N>>L;
    
    for(int i = 1; i<N;i++)
    {
        int H;
        cin>>H;
        if(H<= L)
        {
        cout<<i;
        return 0;
        }
    }
    cout<<-1;
    return 0;
}